# pandas.core.window.EWM.cov

`EWM.``cov`(other=None, pairwise=None, bias=False, **kwargs)

  Exponential weighted sample covariance.

  Parameters:

  other : Series, DataFrame, or ndarray, optional

  > If not supplied then will default to self and produce pairwise output.

  pairwise : bool, default None

  > If False then only matching columns between self and other will be used and the output will be a DataFrame. If True then all pairwise combinations will be calculated and the output will be a MultiIndex DataFrame in the case of DataFrame inputs. In the case of missing elements, only complete pairwise observations will be used.

  bias : bool, default False

  > Use a standard estimation bias correction.

  **kwargs

  > Keyword arguments to be passed into func.

  Returns:

  Series or DataFrame

  > Return type is determined by the caller.

  See also

  `Series.ewm`
    Series ewm.
  `DataFrame.ewm`
    DataFrame ewm.

Scroll To Top